enfr

Construire une version NEW8*

Modification des pré-requis ou de configuration pour la version développement

Pour construire une version NEW8.3.*

  • à partir de 8.3.18 : Les fichiers include (*.h) ne sont pas encore gérés par la mise à jour automatique. Il faut extraire "à la main" le fichier aster-maj-src-8.3.18-include.tar.gz dans le répertoire NEW15 et modifier le fichier [ASTER_ROOT]/NEW15/config.txt en ajoutant une ligne :

           INCL           | include | ?     | -I[ASTER_ROOT]/NEW8/bibc/include

Ensuite relancer :

prompt> [ASTER_ROOT]/ASTK/ASTK_SERV/bin/as_run --make

Pour construire une version NEW8.2.*

Aucune

Pour construire une version NEW8.1.*

  • à partir de 8.1.9 : Intégration du partionneur Scotch : si la bibliothèque Scotch n’est pas disponible sur la machine, il faut désactiver la compilation de l’interface Aster-Scotch en ajoutant bibc/scotch sur la ligne NOBUILD (ou une nouvelle ligne) du fichier [ASTER_ROOT]/NEW15/config.txt ; exemple :

           NOBUILD        | option | ?     | bibfor/from_c bibc/scotch

  • à partir de 8.1.6 : Homard 7.5 est nécessaire pour les tests utilisant les commandes MACR_INFO_MAIL, MACR_ADAP_MAIL.
  • à partir de 8.1.3 : dans le cadre du développement du solveur Feti, certaines routines font des appels à des fonctions MPI et ne sont pas complètement opérationnelles, il faut donc ajouter la ligne suivante dans le fichier [ASTER_ROOT]/NEW15/config.txt :

           NOBUILD        | option | ?     | bibfor/from_c

Pour construire une version NEW8.0.*

  • à partir de 8.0.20 : les fichiers include de Numeric sont nécessaires (on a besoin, par exemple, de [prefix]/include/python2.3/Numeric/arrayobject.h).
  • à partir de 8.0.14/8.0.15 : ajout des bibliothèques optionnelles Mumps et Zmat. Il est nécessaire d’utiliser astk 1.2.3 pour utiliser ces mises à jour (sinon le répertoire fermetur est incomplet, erreur de type undefined symbol amumps ou undefined symbol zaster).
  • à partir de 8.0.2 : la bibliothèque Lapack 3.0 est requise (ajouter une ligne dans le fichier config.txt semblable à celle pour les Blas).